repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.1.0
    hooks:
      - id: end-of-file-fixer
      - id: trailing-whitespace
        args:
          - --markdown-linebreak-ext=md
      - id: check-docstring-first
      - id: requirements-txt-fixer
      - id: check-merge-conflict
      - id: no-commit-to-branch
        args:
          - "--branch"
          - "main"
      - id: check-symlinks
      - id: detect-private-key
      - id: detect-aws-credentials
        args:
          - --allow-missing-credentials
      - id: check-toml
      - id: check-json
  - repo: https://github.com/adrienverge/yamllint
    rev: v1.27.0
    hooks:
      - id: yamllint
        args: [-d relaxed]
  - repo: https://github.com/markdownlint/markdownlint
    rev: v0.11.0
    hooks:
      - id: markdownlint
  - repo: https://github.com/gitleaks/gitleaks
    rev: v8.18.0
    hooks:
      - id: gitleaks
